Page MenuHomePhabricator

ReadingLists CI broken
Closed, ResolvedPublic

Description

ApiQueryReadingListsTest and ApiQueryReadingListEntriesTest have two failures each where the API response is unexpected: https://gerrit.wikimedia.org/r/c/mediawiki/extensions/ReadingLists/+/519222

Event Timeline

Tgr created this task.Jun 26 2019, 2:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Tgr added a comment.Jun 26 2019, 2:54 PM

Apparently rMWd9f688698ce0: rdbms: clean up and refactor ResultWrapper classes has changed the indexing of ResultWrapper from 1-based to 0-based, so query continuation in Reading Lists was broken for almost a month :(

Change 519270 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/extensions/ReadingLists@master] Fix API continuation

https://gerrit.wikimedia.org/r/519270

Change 519270 merged by jenkins-bot:
[mediawiki/extensions/ReadingLists@master] Fix API continuation

https://gerrit.wikimedia.org/r/519270

Tgr closed this task as Resolved.Jun 27 2019, 6:56 PM
Tgr claimed this task.

Change 520480 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/extensions/ReadingLists@wmf/1.34.0-wmf.11] Fix API continuation

https://gerrit.wikimedia.org/r/520480

Change 520480 merged by jenkins-bot:
[mediawiki/extensions/ReadingLists@wmf/1.34.0-wmf.11] Fix API continuation

https://gerrit.wikimedia.org/r/520480

Mentioned in SAL (#wikimedia-operations) [2019-07-03T16:23:36Z] <urbanecm@deploy1001> Synchronized php-1.34.0-wmf.11/extensions/ReadingLists/: SWAT: [[:gerrit:520480|Fix API continuation]] (T226640) (duration: 00m 49s)